%define upstream_name DelimMatch
%define upstream_version 1.06a

%{?perl_default_filter}
# Prevent useless requires on "perl >= 5.000" that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}5.000

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL
Group:		Development/Perl
Summary:	Perl extension to find regexp delimited strings with proper nesting
Source0:	https://cpan.metacpan.org/authors/id/N/NW/NWALSH/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		https://metacpan.org/release/%{upstream_name}

BuildRequires:	perl-devel
BuildArch:	noarch
%rename perl-Text-DelimMatch

%description
These routines allow you to match delimited substrings in a buffer.
The delimiters can be specified with any regular expression and the
start and end delimiters need not be the same. If the delimited text
is properly nested, entire nested groups are returned.

In addition, you may specify quoting and escaping characters that 
contribute to the recognition of start and end delimiters.

%prep
%setup -q -n %{upstream_name}-1.06

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.60.0a-6.mga9
+ Revision: 1802986
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- make spec file match package directory

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0a-5.mga8
+ Revision: 1493956
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0a-4.mga7
+ Revision: 1267191
- Mageia 7 Mass Rebuild

* Mon Jun 06 2016 tv <tv> 1.60.0a-3.mga6
+ Revision: 1020404
- unbloat default install: prevent pulling full perl...

* Fri Feb 19 2016 umeabot <umeabot> 1.60.0a-2.mga6
+ Revision: 968402
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.60.0a-1.mga6
+ Revision: 852195
- Update spec
- Rename

* Wed Oct 15 2014 umeabot <umeabot> 1.06-10.mga5
+ Revision: 741857
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.06-9.mga5
+ Revision: 686614
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.06-8.mga4
+ Revision: 515502
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.06-7.mga3
+ Revision: 374011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.06-6.mga1
+ Revision: 24261
- fix specs
- imported package perl-Text-DelimMatch

